<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:22 CEST 2019 -->
<title>DatabaseParameterBuffer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseParameterBuffer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/DatabaseParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="DatabaseParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface DatabaseParameterBuffer" class="title">Interface DatabaseParameterBuffer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">DatabaseParameterBufferImp</a>, <a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">FBConnectionRequestInfo</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DatabaseParameterBuffer</span>
extends <a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></pre>
<div class="block">Instance of this interface represents a Database Parameter Buffer from the
 Firebird API documentation and specifies the attributes for the
 current connection.
 <p/>
 Additionally it is possible to change some database properties in a permanent
 way, however this approach is not recommended. Please use instead management
 API.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ACTIVATE_SHADOW">ACTIVATE_SHADOW</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ADDRESS_PATH">ADDRESS_PATH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ALLOCATION">ALLOCATION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BEGIN_LOG">BEGIN_LOG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BUFFER_LENGTH">BUFFER_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CACHE_MANAGER">CACHE_MANAGER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CDD_PATHNAME">CDD_PATHNAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CONNECT_TIMEOUT">CONNECT_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DAMAGED">DAMAGED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DBKEY_SCOPE">DBKEY_SCOPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DEBUG">DEBUG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DELETE_SHADOW">DELETE_SHADOW</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_JOURNAL">DISABLE_JOURNAL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_WAL">DISABLE_WAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DROP_WALFILE">DROP_WALFILE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DUMMY_PACKET_INTERVAL">DUMMY_PACKET_INTERVAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENABLE_JOURNAL">ENABLE_JOURNAL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENCRYPT_KEY">ENCRYPT_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#FORCE_WRITE">FORCE_WRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GARBAGE_COLLECT">GARBAGE_COLLECT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GBAK_ATTACH">GBAK_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GFIX_ATTACH">GFIX_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSEC_ATTACH">GSEC_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSTAT_ATTACH">GSTAT_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#INTERP">INTERP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#JOURNAL">JOURNAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_CTYPE">LC_CTYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_MESSAGES">LC_MESSAGES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LICENSE">LICENSE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_DB_TRIGGERS">NO_DB_TRIGGERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_GARBAGE_COLLECT">NO_GARBAGE_COLLECT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_RESERVE">NO_RESERVE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUM_BUFFERS">NUM_BUFFERS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUMBER_OF_USERS">NUMBER_OF_USERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_DUMP_ID">OLD_DUMP_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE">OLD_FILE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE_SIZE">OLD_FILE_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_NUM_FILES">OLD_NUM_FILES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_FILE">OLD_START_FILE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_PAGE">OLD_START_PAGE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_SEQNO">OLD_START_SEQNO</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE">ONLINE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE_DUMP">ONLINE_DUMP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OVERWRITE">OVERWRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PAGE_SIZE">PAGE_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD">PASSWORD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD_ENC">PASSWORD_ENC</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_ID">PROCESS_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_NAME">PROCESS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#QUIT_LOG">QUIT_LOG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#RESERVED">RESERVED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SEC_ATTACH">SEC_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_CHARSET">SET_DB_CHARSET</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_READONLY">SET_DB_READONLY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_SQL_DIALECT">SET_DB_SQL_DIALECT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_PAGE_BUFFERS">SET_PAGE_BUFFERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN">SHUTDOWN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN_DELAY">SHUTDOWN_DELAY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_DIALECT">SQL_DIALECT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_ROLE_NAME">SQL_ROLE_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP">SWEEP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP_INTERVAL">SWEEP_INTERVAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME">SYS_USER_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME_ENC">SYS_USER_NAME_ENC</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRACE">TRACE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRUSTED_AUTH">TRUSTED_AUTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER">USER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER_NAME">USER_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#VERIFY">VERIFY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BACKUP_DIR">WAL_BACKUP_DIR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BUFSIZE">WAL_BUFSIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_CHKPTLEN">WAL_CHKPTLEN</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_GRP_CMT_WAIT">WAL_GRP_CMT_WAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_NUMBUFS">WAL_NUMBUFS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WORKING_DIRECTORY">WORKING_DIRECTORY</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#deepCopy--">deepCopy</a></span>()</code>
<div class="block">Make a deep copy of this object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ConnectionParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getDefaultEncoding--">getDefaultEncoding</a>, <a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getTagMapping--">getTagMapping</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CDD_PATHNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CDD_PATHNAME</h4>
<pre>static final&nbsp;int CDD_PATHNAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.CDD_PATHNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ALLOCATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ALLOCATION</h4>
<pre>static final&nbsp;int ALLOCATION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ALLOCATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="JOURNAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JOURNAL</h4>
<pre>static final&nbsp;int JOURNAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.JOURNAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PAGE_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAGE_SIZE</h4>
<pre>static final&nbsp;int PAGE_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.PAGE_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NUM_BUFFERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NUM_BUFFERS</h4>
<pre>static final&nbsp;int NUM_BUFFERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.NUM_BUFFERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUFFER_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUFFER_LENGTH</h4>
<pre>static final&nbsp;int BUFFER_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.BUFFER_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEBUG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEBUG</h4>
<pre>static final&nbsp;int DEBUG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DEBUG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GARBAGE_COLLECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GARBAGE_COLLECT</h4>
<pre>static final&nbsp;int GARBAGE_COLLECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.GARBAGE_COLLECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VERIFY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERIFY</h4>
<pre>static final&nbsp;int VERIFY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.VERIFY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SWEEP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SWEEP</h4>
<pre>static final&nbsp;int SWEEP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SWEEP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ENABLE_JOURNAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENABLE_JOURNAL</h4>
<pre>static final&nbsp;int ENABLE_JOURNAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ENABLE_JOURNAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISABLE_JOURNAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISABLE_JOURNAL</h4>
<pre>static final&nbsp;int DISABLE_JOURNAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DISABLE_JOURNAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DBKEY_SCOPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DBKEY_SCOPE</h4>
<pre>static final&nbsp;int DBKEY_SCOPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DBKEY_SCOPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NUMBER_OF_USERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NUMBER_OF_USERS</h4>
<pre>static final&nbsp;int NUMBER_OF_USERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.NUMBER_OF_USERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRACE</h4>
<pre>static final&nbsp;int TRACE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.TRACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_GARBAGE_COLLECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_GARBAGE_COLLECT</h4>
<pre>static final&nbsp;int NO_GARBAGE_COLLECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.NO_GARBAGE_COLLECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DAMAGED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DAMAGED</h4>
<pre>static final&nbsp;int DAMAGED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DAMAGED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LICENSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LICENSE</h4>
<pre>static final&nbsp;int LICENSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.LICENSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SYS_USER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYS_USER_NAME</h4>
<pre>static final&nbsp;int SYS_USER_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SYS_USER_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ENCRYPT_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENCRYPT_KEY</h4>
<pre>static final&nbsp;int ENCRYPT_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ENCRYPT_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTIVATE_SHADOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTIVATE_SHADOW</h4>
<pre>static final&nbsp;int ACTIVATE_SHADOW</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ACTIVATE_SHADOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SWEEP_INTERVAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SWEEP_INTERVAL</h4>
<pre>static final&nbsp;int SWEEP_INTERVAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SWEEP_INTERVAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DELETE_SHADOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DELETE_SHADOW</h4>
<pre>static final&nbsp;int DELETE_SHADOW</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DELETE_SHADOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORCE_WRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORCE_WRITE</h4>
<pre>static final&nbsp;int FORCE_WRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.FORCE_WRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BEGIN_LOG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BEGIN_LOG</h4>
<pre>static final&nbsp;int BEGIN_LOG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.BEGIN_LOG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUIT_LOG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUIT_LOG</h4>
<pre>static final&nbsp;int QUIT_LOG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.QUIT_LOG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_RESERVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_RESERVE</h4>
<pre>static final&nbsp;int NO_RESERVE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.NO_RESERVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_NAME</h4>
<pre>static final&nbsp;int USER_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.USER_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER</h4>
<pre>static final&nbsp;int USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PASSWORD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASSWORD</h4>
<pre>static final&nbsp;int PASSWORD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.PASSWORD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PASSWORD_ENC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASSWORD_ENC</h4>
<pre>static final&nbsp;int PASSWORD_ENC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.PASSWORD_ENC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SYS_USER_NAME_ENC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYS_USER_NAME_ENC</h4>
<pre>static final&nbsp;int SYS_USER_NAME_ENC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SYS_USER_NAME_ENC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTERP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERP</h4>
<pre>static final&nbsp;int INTERP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.INTERP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ONLINE_DUMP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONLINE_DUMP</h4>
<pre>static final&nbsp;int ONLINE_DUMP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ONLINE_DUMP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_FILE_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_FILE_SIZE</h4>
<pre>static final&nbsp;int OLD_FILE_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_FILE_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_NUM_FILES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_NUM_FILES</h4>
<pre>static final&nbsp;int OLD_NUM_FILES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_NUM_FILES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_FILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_FILE</h4>
<pre>static final&nbsp;int OLD_FILE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_FILE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_START_PAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_START_PAGE</h4>
<pre>static final&nbsp;int OLD_START_PAGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_START_PAGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_START_SEQNO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_START_SEQNO</h4>
<pre>static final&nbsp;int OLD_START_SEQNO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_START_SEQNO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_START_FILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_START_FILE</h4>
<pre>static final&nbsp;int OLD_START_FILE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_START_FILE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DROP_WALFILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DROP_WALFILE</h4>
<pre>static final&nbsp;int DROP_WALFILE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DROP_WALFILE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OLD_DUMP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OLD_DUMP_ID</h4>
<pre>static final&nbsp;int OLD_DUMP_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OLD_DUMP_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAL_BACKUP_DIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAL_BACKUP_DIR</h4>
<pre>static final&nbsp;int WAL_BACKUP_DIR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WAL_BACKUP_DIR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAL_CHKPTLEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAL_CHKPTLEN</h4>
<pre>static final&nbsp;int WAL_CHKPTLEN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WAL_CHKPTLEN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAL_NUMBUFS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAL_NUMBUFS</h4>
<pre>static final&nbsp;int WAL_NUMBUFS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WAL_NUMBUFS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAL_BUFSIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAL_BUFSIZE</h4>
<pre>static final&nbsp;int WAL_BUFSIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WAL_BUFSIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAL_GRP_CMT_WAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAL_GRP_CMT_WAIT</h4>
<pre>static final&nbsp;int WAL_GRP_CMT_WAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WAL_GRP_CMT_WAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LC_MESSAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LC_MESSAGES</h4>
<pre>static final&nbsp;int LC_MESSAGES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.LC_MESSAGES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LC_CTYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LC_CTYPE</h4>
<pre>static final&nbsp;int LC_CTYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.LC_CTYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CACHE_MANAGER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHE_MANAGER</h4>
<pre>static final&nbsp;int CACHE_MANAGER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.CACHE_MANAGER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWN</h4>
<pre>static final&nbsp;int SHUTDOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SHUTDOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ONLINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONLINE</h4>
<pre>static final&nbsp;int ONLINE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ONLINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWN_DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWN_DELAY</h4>
<pre>static final&nbsp;int SHUTDOWN_DELAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SHUTDOWN_DELAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESERVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESERVED</h4>
<pre>static final&nbsp;int RESERVED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.RESERVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OVERWRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OVERWRITE</h4>
<pre>static final&nbsp;int OVERWRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.OVERWRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SEC_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEC_ATTACH</h4>
<pre>static final&nbsp;int SEC_ATTACH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SEC_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISABLE_WAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISABLE_WAL</h4>
<pre>static final&nbsp;int DISABLE_WAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DISABLE_WAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONNECT_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECT_TIMEOUT</h4>
<pre>static final&nbsp;int CONNECT_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.CONNECT_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DUMMY_PACKET_INTERVAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DUMMY_PACKET_INTERVAL</h4>
<pre>static final&nbsp;int DUMMY_PACKET_INTERVAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.DUMMY_PACKET_INTERVAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GBAK_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GBAK_ATTACH</h4>
<pre>static final&nbsp;int GBAK_ATTACH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.GBAK_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_ROLE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_ROLE_NAME</h4>
<pre>static final&nbsp;int SQL_ROLE_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SQL_ROLE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SET_PAGE_BUFFERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SET_PAGE_BUFFERS</h4>
<pre>static final&nbsp;int SET_PAGE_BUFFERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SET_PAGE_BUFFERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WORKING_DIRECTORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WORKING_DIRECTORY</h4>
<pre>static final&nbsp;int WORKING_DIRECTORY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.WORKING_DIRECTORY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_DIALECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_DIALECT</h4>
<pre>static final&nbsp;int SQL_DIALECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SQL_DIALECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SET_DB_READONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SET_DB_READONLY</h4>
<pre>static final&nbsp;int SET_DB_READONLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SET_DB_READONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SET_DB_SQL_DIALECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SET_DB_SQL_DIALECT</h4>
<pre>static final&nbsp;int SET_DB_SQL_DIALECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SET_DB_SQL_DIALECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GFIX_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GFIX_ATTACH</h4>
<pre>static final&nbsp;int GFIX_ATTACH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.GFIX_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GSTAT_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GSTAT_ATTACH</h4>
<pre>static final&nbsp;int GSTAT_ATTACH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.GSTAT_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SET_DB_CHARSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SET_DB_CHARSET</h4>
<pre>static final&nbsp;int SET_DB_CHARSET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.SET_DB_CHARSET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GSEC_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GSEC_ATTACH</h4>
<pre>static final&nbsp;int GSEC_ATTACH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.GSEC_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ADDRESS_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADDRESS_PATH</h4>
<pre>static final&nbsp;int ADDRESS_PATH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.ADDRESS_PATH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROCESS_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROCESS_ID</h4>
<pre>static final&nbsp;int PROCESS_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.PROCESS_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_DB_TRIGGERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_DB_TRIGGERS</h4>
<pre>static final&nbsp;int NO_DB_TRIGGERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.NO_DB_TRIGGERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRUSTED_AUTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRUSTED_AUTH</h4>
<pre>static final&nbsp;int TRUSTED_AUTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.TRUSTED_AUTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROCESS_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PROCESS_NAME</h4>
<pre>static final&nbsp;int PROCESS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.DatabaseParameterBuffer.PROCESS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deepCopy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deepCopy</h4>
<pre><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;deepCopy()</pre>
<div class="block">Make a deep copy of this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>deep copy of this object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/DatabaseParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="DatabaseParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
